# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-11 22:54
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Airport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='Brand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='ComparisonRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Flight',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('code', models.CharField(max_length=20)),
                ('departure_date', models.DateTimeField()),
                ('arrival_date', models.DateTimeField()),
                ('specific_bag_price', models.FloatField()),
                ('price', models.FloatField(default=1.0)),
                ('arrival_airport', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='arrival', to='nmdm.Airport')),
                ('departure_airport', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='departure', to='nmdm.Airport')),
            ],
        ),
        migrations.CreateModel(
            name='Hotel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('stars', models.IntegerField()),
                ('city', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='city_hotel', to='nmdm.City')),
            ],
        ),
        migrations.CreateModel(
            name='Price',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.FloatField(default=1.0)),
                ('org', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nmdm.Brand')),
            ],
        ),
        migrations.CreateModel(
            name='Reservation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('arrival_date', models.DateTimeField()),
                ('duration', models.IntegerField()),
                ('number_of_pax', models.IntegerField()),
                ('room_type', models.CharField(max_length=250)),
                ('price', models.FloatField(default=1.0)),
                ('hotel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nmdm.Hotel')),
            ],
        ),
        migrations.CreateModel(
            name='Trip',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pax', models.IntegerField(default=1)),
                ('inbound_carriers', models.ManyToManyField(related_name='inbound', to='nmdm.Flight')),
                ('outbound_carriers', models.ManyToManyField(related_name='outbound', to='nmdm.Flight')),
                ('reservation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nmdm.Reservation')),
            ],
        ),
        migrations.AddField(
            model_name='comparisonrecord',
            name='prices',
            field=models.ManyToManyField(to='nmdm.Price'),
        ),
        migrations.AddField(
            model_name='comparisonrecord',
            name='subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='nmdm.Brand'),
        ),
        migrations.AddField(
            model_name='airport',
            name='city',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='city_airport', to='nmdm.City'),
        ),
    ]
